unit Graph_u1;

interface

uses
  {$IfnDef Win32}
  WinTypes,WinProcs,
  {$else}
  Windows,
  {$endif}
  Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, zAnimate, ExtCtrls, Mystd, Std2, Blend;

type
  TForm1 = class(TForm)
    zCompCanvas1: TzCompCanvas;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    zAngleLabel1: TzAngleLabel;
    zAngleLabel2: TzAngleLabel;
    zAngleLabel3: TzAngleLabel;
    zAngleLabel4: TzAngleLabel;
    zAngleLabel5: TzAngleLabel;
    zAngleLabel6: TzAngleLabel;
    zAngleLabel7: TzAngleLabel;
    zAngleLabel10: TzAngleLabel;
    zAngleLabel11: TzAngleLabel;
    zAngleLabel12: TzAngleLabel;
    zAngleLabel13: TzAngleLabel;
    zAngleLabel8: TzAngleLabel;
    zColorBtn1: TzColorBtn;
    zTileMap1: TzTileMap;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    Shape1: TShape;
    Shape2: TShape;
    Shape3: TShape;
    CheckBox4: TCheckBox;
    Shape4: TShape;
    procedure zColorBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure zBitmap1Paint(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    Data1 : Array[0..47] of Integer;
    Data2 : Array[0..47] of Integer;
    Data3 : Array[0..47] of Integer;
    Data4 : Array[0..47] of Integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.zColorBtn1Click(Sender: TObject);
Var
  I : Integer;
begin
  { get new data to show}
  For I:=0 to 47 Do Begin
    Data1[I]:=Random(3500);
    Data2[I]:=Random(3500);
    Data3[I]:=Random(3500);
    Data4[I]:=Random(3500);
  End;
  zTileMap1.Repaint;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Randomize;
  CheckBox1.Checked:=True;
  CheckBox2.Checked:=False;
  CheckBox3.Checked:=True;
  CheckBox4.Checked:=False;
  zColorBtn1Click(Self); { Get the first dataset}
end;

procedure TForm1.zBitmap1Paint(Sender: TObject);
Var
  H,W : Integer; { For height and width}
  I   : Integer;
begin
  H:=zTileMap1.Height;
  W:=zTileMap1.Width;
  zCompCanvas1.StartPaint;
  With zCompCanvas1.Canvas Do Begin
    MoveTo(1,0);
    Pen.Color:=clBlack;
    Pen.Width:=2;
    LineTo(1,H-1);
    LineTo(W,H-1);

    { Lines, Horizontal}
    Pen.Width:=1;
    For I:=0 to 239 Do Begin
      If ((I+1) mod 10)=0 Then Begin
        MoveTo(I,H-5);
        LineTo(I,H-1);
      End;
    End;

    { Lines, vertical}
    Pen.Width:=1;
    For I:=1 to 16 Do Begin
      MoveTo(5,180-((180 div 16)*I)+1);
      LineTo(0,180-((180 div 16)*I)+1);
    End;

    { First dataset}
    If CheckBox2.Checked Then Begin
      Pen.Color:=clLime;
      Pen.Width:=1;
      MoveTo(2,180-((Data1[0] div 20)+2));
      For I:=1 to 47 Do
        LineTo((I*(W div 48))+2,180-((Data1[I] div 20)+2));
    End;
    { Second dataset}
    If CheckBox1.Checked Then Begin
      Pen.Color:=clRed;
      Pen.Width:=1;
      MoveTo(2,180-((Data2[0] div 20)+2));
      For I:=1 to 47 Do
        LineTo((I*(W div 48))+2,180-((Data2[I] div 20)+2));
    End;
    { Third dataset}
    If CheckBox3.Checked Then Begin
      Pen.Color:=clBlue;
      Pen.Width:=1;
      MoveTo(2,180-((Data3[0] div 20)+2));
      For I:=1 to 47 Do
        LineTo((I*(W div 48))+2,180-((Data3[I] div 20)+2));
    End;
    { Fourth dataset}
    If CheckBox4.Checked Then Begin
      Pen.Color:=clFuchsia;
      Pen.Width:=1;
      MoveTo(2,180-((Data4[0] div 20)+2));
      For I:=1 to 47 Do
        LineTo((I*(W div 48))+2,180-((Data4[I] div 20)+2));
    End;
  End;
  zCompCanvas1.EndPaint;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  zTileMap1.Repaint;
end;

end.
